// Overall page container - Creates separation from screen edges
@media (min-width: 800px) {
    .card {
        margin-left: 150px;
        margin-right: 150px;
    }
}
@media (min-width: 1200px) {
    .card {
        margin-left: 150px;
        margin-right: 150px;
    }
}

// Workload CRUD
.cells {    // Center column content
    display: flex;
    justify-content: left;
    //text-align: left;
}

.mat-column-id {
    flex: 0 0 5%;
}

.mat-column-name {
    flex: 0 0 20%;
}

.mat-column-version {
    flex: 0 0 10%;
}

.mat-column-user {
    flex: 0 0 20%;
}

.mat-column-ingress_support {
    flex: 0 0 12%;
}

.mat-column-status {
    flex: 0 0 18%;
}

.mat-column-actions {
    flex: 0 0 15%;
}

.status-chip {
    width: 100%; /* Extend to fill the container */
    max-width: 100px;
    display: flex;
    justify-content: center;
    font-weight: bold;
    padding: 8px;
    text-transform: uppercase;
}

#pending {
    background-color: blue;
    color: white !important;
    --mdc-chip-label-text-color: #fff;
}
#onboarding {
    background-color: orange;
    color: white !important;
    --mdc-chip-label-text-color: #fff;
}
#accepted {
    background-color: green;
    color: white !important;
    --mdc-chip-label-text-color: #fff;
}
#rejected {
    background-color: red;
    color: white !important;
    --mdc-chip-label-text-color: #fff;
}


// Instances
.mat-column-wi_id {
    flex: 0 0 5%;
}

.mat-column-wi_instance_id {
    flex: 0 0 15%;
}

.mat-column-wi_release_name {
    flex: 0 0 17%;
}

.mat-column-wi_workload_document_id {
    flex: 0 0 13%;
}

.mat-column-wi_cluster_name {
    flex: 0 0 15%;
}

.mat-column-wi_status {
    flex: 0 0 15%;
}

.mat-column-wi_actions {
    flex: 0 0 20%;
}

// Create Button
#create_button {
    background-color: var(--secondary-button-color);
    color: var(--light-font-color);
    margin-top: 10px;
    margin-bottom: 20px;
}

// Existing
.page-container {
    padding-top: 135px;
}

.header {
    color: var(--second-font-color);
    margin-left: 0.2em;
}

.menu {
    background-color: white;
    width: 100%;
    position: fixed;
    z-index: 999;
    height: 90px;
    margin-top: 45px;

    //flex-direction: column;
    box-sizing: border-box;
    display: flex;
    place-content: center space-between;
    align-items: flex-start;
    padding: 12px;

    .innerNavButtons{
        display: flex;
        align-items: center;
        
    }

    // .innerHeader {
    //     width:140px;
    //     flex-direction: row;
    //     box-sizing: border-box;
    //     display: flex;
    //     place-content: center flex-start;
    //     align-items: center;
    // }

    .recentSavedBtn{

        margin-top: auto;
        font-weight: bold;
        border-radius: 0.5em;
        // background-color: var(--secondary-button-color);
        // color: var(--light-font-color);
        color: var(--secondary-button-color);
        //border-color: var(--secondary-button-color);
        background-color: #fef2e891;

        // float: right;
        // border-radius: 0.5em;
        // background-color: var(--secondary-button-color);
        // color: var(--light-font-color);
        // line-height: 35px;


    }
}

.assets {
    display: flex;
    margin: auto;
    width: fit-content;
}

.asset-card {
    max-width: 300px;
    width: 280px;
    //cursor: pointer;
    margin: 1em;
    border-radius: 1em;
}

.saved-card {
    max-width: 300px;
    width: 300px;
    padding: 1em;
    //cursor: pointer;
    margin: 1em auto;
    border-radius: 0.5em;
    background-color: #f1b38a0f !important;
}

.saved-header{
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    //font-size: large;
    display: flex;
    flex-direction: column;

    .info{
        display:flex;
        flex-direction:column;
        font-size: initial;
        font-weight: 500;
        color: #ec7404;
        span{
            color:initial;
        }
    }
}


.assets-card-content {
    height: 70px;
    max-height: 70px;
    max-width: 260px;
    color: #444444;
    margin-bottom: 0px;
    overflow: auto;
}

.assets-header{

    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: large;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-weight: 400;
}

mat-drawer-container {
    height: 100%;
}

#rendered {
    background-color: green;
    --mdc-chip-label-text-color: #fff;
}
#deployed {
    background-color: blue;
    --mdc-chip-label-text-color: #fff;
}
#migrating {
    background-color: blue;
    --mdc-chip-label-text-color: #fff;
}
#evicted {
    background-color: yellow;
    --mdc-chip-label-text-color: #fff;
}
#deleted {
    background-color: red;
    --mdc-chip-label-text-color: #fff;
}